org.apache.calcite.avatica.remote

## Interface KeyStoreConfigurable

All Known Implementing Classes:
  AvaticaCommonsHttpClientImpl

    public interface KeyStoreConfigurable

Allows a keystore (and keystorepassword, keypassword) to be provided to enable MTLS authentication

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setKeyStore(File keystore, String keystorepassword, String keypassword)` Sets a keystore containing the collection of client side certificates to use for HTTPS mutual authentication along with password for keystore and password for key

### Method Detail

#### setKeyStore

    void setKeyStore(File keystore,
                     String keystorepassword,
                     String keypassword)

Sets a keystore containing the collection of client side certificates to use for HTTPS mutual authentication along with password for keystore and password for key

Parameters:
  `keystore` - The keystore on the local filesystem
  `keystorepassword` - The keystore's password
  `keypassword` - The key's password